NewStart CGSL MAIN 6.02:binutils 多個弱點 (NS-SA-2021-0122)

high Nessus Plugin ID 154583

語系:

Synopsis

遠端 NewStart CGSL 主機受到多個弱點影響。

描述

執行 MAIN 6.02 版的遠端 NewStart CGSL 主機上安裝的 binutils 套件受到多個弱點影響:

- 在 GNU Binutils 2.32 發佈的二進位檔案描述元 (BFD) 程式庫 (亦即 libbfd) 中,攻擊者可利用 dwarf2.c 的 find_abstract_instance,透過建構的 ELF 檔案造成拒絕服務 (無限遞迴和應用程式損毀)。(CVE-2019-17450)

- 在 GNU Binutils 2.32 內發佈的二進位檔案描述元 (BFD) 程式庫 (即 libbfd) 中發現一個問題。此為超出邊界讀取問題,可導致從 pei-x86_64 的 pex64_get_runtime_function 呼叫時,libbfd.c 中的 bfd_getl32 發生 SEGV。(CVE-2019-9074)

- 在 GNU Binutils 2.32 內發佈的二進位檔案描述元 (BFD) 程式庫 (即 libbfd) 中發現一個問題。此為堆積型緩衝區溢位問題,存在於 archive64.c 的 _bfd_archive_64_bit_slurp_armap 中。
(CVE-2019-9075)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級易受弱點影響的 CGSL binutils 套件。請注意,可能尚未出爐已升級的套件。如需詳細資訊,請聯絡 ZTE。

另請參閱

http://security.gd-linux.com/notice/NS-SA-2021-0122

http://security.gd-linux.com/info/CVE-2019-17450

http://security.gd-linux.com/info/CVE-2019-9074

http://security.gd-linux.com/info/CVE-2019-9075

Plugin 詳細資訊

嚴重性: High

ID: 154583

檔案名稱: newstart_cgsl_NS-SA-2021-0122_binutils.nasl

版本: 1.2

類型: local

已發布: 2021/10/27

已更新: 2021/10/27

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2019-9075

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:zte:cgsl_main:binutils, p-cpe:/a:zte:cgsl_main:binutils-debuginfo, p-cpe:/a:zte:cgsl_main:binutils-debugsource, p-cpe:/a:zte:cgsl_main:binutils-devel, cpe:/o:zte:cgsl_main:6

必要的 KB 項目: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2021/9/24

弱點發布日期: 2019/2/23

參考資訊

CVE: CVE-2019-9074, CVE-2019-9075, CVE-2019-17450